Bug 168276 - Web Inspector: RTL: sidebar expand/collapse icons need to be flipped
Summary: Web Inspector: RTL: sidebar expand/collapse icons need to be flipped
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Brian Burg
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-02-13 21:38 PST by Brian Burg
Modified: 2017-02-20 10:24 PST (History)
4 users (show)

See Also:


Attachments
SCREENSHOT (159.78 KB, image/png)
2017-02-13 21:38 PST, Brian Burg
no flags Details
patch applied (LTR) (68.59 KB, image/png)
2017-02-19 14:52 PST, Brian Burg
no flags Details
patch applied (RTL) (54.14 KB, image/png)
2017-02-19 14:53 PST, Brian Burg
no flags Details
Patch (4.65 KB, patch)
2017-02-19 14:54 PST, Brian Burg
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2017-02-13 21:38:08 PST
Created attachment 301447 [details]
SCREENSHOT

Right now most sidebars are properly flipped but the icon to toggle expand/collapse are swapped.
Comment 1 Radar WebKit Bug Importer 2017-02-13 21:38:25 PST
<rdar://problem/30506999>
Comment 2 Brian Burg 2017-02-19 14:52:51 PST
Created attachment 302094 [details]
patch applied (LTR)
Comment 3 Brian Burg 2017-02-19 14:53:04 PST
Created attachment 302095 [details]
patch applied (RTL)
Comment 4 Brian Burg 2017-02-19 14:54:50 PST
Created attachment 302096 [details]
Patch
Comment 5 Matt Baker 2017-02-20 10:21:13 PST
Comment on attachment 302096 [details]
Patch

r=me
Comment 6 WebKit Commit Bot 2017-02-20 10:24:41 PST
Comment on attachment 302096 [details]
Patch

Clearing flags on attachment: 302096

Committed r212657: <http://trac.webkit.org/changeset/212657>
Comment 7 WebKit Commit Bot 2017-02-20 10:24:44 PST
All reviewed patches have been landed.  Closing bug.